summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSebastian Pipping <sping@gentoo.org>2020-01-13 20:33:28 +0100
committerSebastian Pipping <sping@gentoo.org>2020-01-13 20:34:46 +0100
commit5874c4ca8a3823bd69011461cced86f303553d05 (patch)
tree10a47774ec4847d858efad36f0f25f7b8500a3b6
parentapp-backup/duplicity: bump, cleanup test logic (diff)
downloadgentoo-5874c4ca8a3823bd69011461cced86f303553d05.tar.gz
gentoo-5874c4ca8a3823bd69011461cced86f303553d05.tar.bz2
gentoo-5874c4ca8a3823bd69011461cced86f303553d05.zip
dev-python/redis-py: 3.3.11 + py38
Also drop dev-python/setuptools from DEPEND as distutils-r1 already adds it (to BDEPEND) for us. Signed-off-by: Sebastian Pipping <sping@gentoo.org> Package-Manager: Portage-2.3.84, Repoman-2.3.20
-rw-r--r--dev-python/redis-py/Manifest1
-rw-r--r--dev-python/redis-py/redis-py-3.3.11.ebuild64
2 files changed, 65 insertions, 0 deletions
diff --git a/dev-python/redis-py/Manifest b/dev-python/redis-py/Manifest
index 3bc94237837..10df1a71498 100644
--- a/dev-python/redis-py/Manifest
+++ b/dev-python/redis-py/Manifest
@@ -1 +1,2 @@
DIST redis-py-3.2.1.tar.gz 124692 BLAKE2B fc7a773ab0a7e13f034b9efa174806b024733f9263b962599ce72e9a0c88b11964c26081375b6ae2de49939b59a561c145ae1b69c262b801f9b887befe9dcc0a SHA512 be51642a8895325c3c61993dd83c3299a9e2cefc1010e04f182833f720ff161bea43d3a57d28afba991949fcf6e967c4f778002967641bffe651d5db384f2e08
+DIST redis-py-3.3.11.tar.gz 131072 BLAKE2B 6becafba3da22bae796a4a9ba55d11a61d9ed1a8b693a734d4ef3f0e463c0c39a05c01546225f69eb36a788779d6e45d0136e1a6d6856ec63c3dd07994b5db9a SHA512 a32327fcebc6242367c0eda6c6dcd1a15d5d575527af2e9de0d76e05bc4afc7402566d9254e467663b81907a310731af3041236b6b135f3b8ff1429a502c1000
diff --git a/dev-python/redis-py/redis-py-3.3.11.ebuild b/dev-python/redis-py/redis-py-3.3.11.ebuild
new file mode 100644
index 00000000000..42add4480b6
--- /dev/null
+++ b/dev-python/redis-py/redis-py-3.3.11.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python2_7 python3_{6,7,8} pypy3 )
+
+inherit distutils-r1
+
+MY_PN="redis"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Python client for Redis key-value store"
+HOMEPAGE="https://github.com/andymccurdy/redis-py"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND=""
+DEPEND="test? (
+ dev-db/redis
+ dev-python/mock[${PYTHON_USEDEP}]
+ >=dev-python/pytest-2.7.0[${PYTHON_USEDEP}] )"
+
+S="${WORKDIR}/${MY_P}"
+
+python_prepare_all() {
+ distutils-r1_python_prepare_all
+
+ # Make sure that tests will be used from BUILD_DIR rather than cwd.
+ mv tests tests-hidden || die
+
+ # Correct local import patch syntax
+ sed \
+ -e 's:from .conftest:from conftest:' \
+ -e 's:from .test_pubsub:from test_pubsub:' \
+ -i tests-hidden/test_*.py \
+ || die
+}
+
+python_compile() {
+ distutils-r1_python_compile
+
+ if use test; then
+ cp -r tests-hidden "${BUILD_DIR}"/tests || die
+ fi
+}
+
+python_test() {
+ local sock="${T}/redis.sock"
+
+ "${EPREFIX}/usr/sbin/redis-server" - <<- EOF
+ daemonize yes
+ pidfile "${T}/redis.pid"
+ unixsocket ${sock}
+ EOF
+
+ PYTHONPATH="${S}:${S}/tests-hidden"
+ esetup.py test --verbose
+ kill $(<"${T}/redis.pid")
+}